#!/bin/sh
#======================================================================================================================
#
# Bash test harness for exercising pieces of the build process.  Change as needed while developing.  In most cases,
# modifications to the script don't need to be checked in.
#
# Author: John Blanco
#
#======================================================================================================================

NODE_EXECUTABLE="node"

# Verify that node is available.
if ! $NODE_EXECUTABLE -v; then
    printf 'node (nodejs) not found - it must be installed on machine and in your execution path. Exiting.\n' >&2
    exit 1
fi

# Launch the installer builder
$NODE_EXECUTABLE js/temp-harness.js "$@"